define({"0":{y:0,u:"../Content/CmdRef/about.html",l:-1,t:"How to use this guide | Helix Core command-line client",i:0.000643336943934242,a:"How to use this Guide  Navigation Use following controls to navigate the content in this manual: The arrow buttons   and   at the top of any page bring you to the next or previous heading. The links at the top of any page indicate the location of a topic in the hierarchy. The icons  in the footer of ..."},"1":{y:0,u:"../Content/CmdRef/about.whatsnew.html",l:-1,t:"What’s new in the Helix Core Command-Line (P4) Reference",i:0.000643336943934242,a:"This section provides a summary with links to topics in this Helix Core Command-Line (P4) Reference. For a complete list of what\u0027s new in this release, see also  What’s new in the Helix Core Server Administrator Guide ,  What’s new in Helix Core Command-Line (P4) Guide , and the  Release Notes for ..."},"2":{y:0,u:"../Content/CmdRef/chapter.introduction.html",l:-1,t:"Getting started with commands",i:0.000643336943934242,a:"Getting started with commands This book contains reference material for       users and administrators of the\n      Helix Core Server, also referred to as Helix Server. "},"3":{y:0,u:"../Content/CmdRef/syntax-conventions.html",l:-1,t:"Syntax conventions",i:0.00119017436704783,a:"Syntax conventions Helix Core documentation uses the following conventions for\n      command-line syntax.\n    "},"4":{y:0,u:"../Content/CmdRef/introduction.help.html",l:-1,t:"Getting help with p4 help",i:0.000643336943934242,a:"Getting help with p4 help In addition to the information in this manual, you can also get information      at the command line. Use the  p4\n\t    help command to find out how to get concise information about all the commands and certain features.  "},"5":{y:0,u:"../Content/CmdRef/introduction.aliases.html",l:-1,t:"Command aliases",i:0.00148109562960812,a:"A small set of\n      \n      commands have predefined aliases. For example, you can use  p4\n\t  integ for  p4 integrate, or you can use\n       p4 changes for  p4 changelists.\n      You can also define your own aliases for commands, and these can range\n      from simple word substitutions to what might ..."},"6":{y:0,u:"../Content/CmdRef/introduction.aliases.defining.html",l:-1,t:"Defining aliases",i:0.000643336943934242,a:"Command aliases are defined in an alias file. To define one or\n      more aliases, you do the following: Create a file named .p4aliases in your home directory\n\t  (p4aliases.txt in Windows). (The file is stored in your $HOME directory on Unix and\n\t  Mac systems, and in your $USERPROFILE directory ..."},"7":{y:0,u:"../Content/CmdRef/introduction.syntax.alias.html",l:-1,t:"Command alias syntax",i:0.000643336943934242,a:"The definition of a command alias can be complex. This section\n      describes the basic syntax for defining a command alias and introduces\n      the elements that you can use in a definition. The sections that follow\n      provide examples for defining       complex aliases. In its simplest form, ..."},"8":{y:0,u:"../Content/CmdRef/introduction.aliases.basic.html",l:-1,t:"Basic examples",i:0.000643336943934242,a:"This section provides examples of simple command alias definitions and\n      illustrates the many uses for even the simplest definitions. Help me remember who I am. \nme = set P4USER Help me feel more comfortable as a user of another source control\n\t    system. \ncheckout = sync\ncommit = submit\npurge ..."},"9":{y:0,u:"../Content/CmdRef/introduction.aliases.complex.html",l:-1,t:"Complex examples",i:0.000643336943934242,a:"More complex alias commands can be formed using redirection and special\n      operators. Cherry picking. This alias definition: \ncherry-pick-change $(cl) $(s) $(t) = integrate //depot/$(s)/...@$(cl),$(cl) //depot/$(t)/... turns the command: \n$ p4 cherry-pick-change 1015978 p15.2 main into: \n$ p4 ..."},"10":{y:0,u:"../Content/CmdRef/introduction.aliases.together.html",l:-1,t:"Putting it all together",i:0.000643336943934242,a:"Combining the various elements allows you to build\n      aliases. Make a new task stream If your streams are stored in the depot named //stream,\n\t  here’s how you would make a new task stream: \nnewTaskStream $(task) $(parent) = stream -o -t task -P //stream/$(parent) \\\n                            ..."},"11":{y:0,u:"../Content/CmdRef/introduction.aliases.previewing.html",l:-1,t:"Previewing alias\n      substitutions",i:0.00119017436704783,a:"Use the client-side command option --aliases=dry-run to\n      display the command or commands that would have run without actually\n      running them. For example, if your alias file contains the following: \ndelete-stream $(branch) = stream -d //stream/$(branch) \u0026\u0026\n                        obliterate ..."},"12":{y:0,u:"../Content/CmdRef/introduction.aliases.advanced.html",l:-1,t:"Editing specs and     workspace alias files ",i:0.000916755655491037,a:" Advanced uses of command aliases include the following. Editing specifications The p4subst special operator allows you to edit specs. It\n      is roughly analogous to doing the following in a shell pipeline: \n| sed \u0027s/regular_expression/literal/g\u0027 The p4subst special operator should normally be ..."},"13":{y:0,u:"../Content/CmdRef/introduction.aliases.limitations.html",l:-1,t:"Limitations of chained commands",i:0.000916755655491037,a:"Aliases can be very powerful. Be mindful of consequences: Multi-command chains in an alias are different than shell pipelines.\n\tEach sub-command in a shell pipeline is started by the shell as a\n\tseparate child process, and their input and output is connected using\n\toperating system constructs. A ..."},"14":{y:0,u:"../Content/CmdRef/introduction.naming.conventions.html",l:-1,t:"Naming conventions",i:0.000643336943934242,a:"Naming conventions Clients, depots, labels, and branches may not have the same\n\tname. The following names are reserved and cannot be used to name\n\tanything: head, have, none. The following table provides some suggestions:"},"15":{y:0,u:"../Content/CmdRef/introduction.scripts.html",l:-1,t:"Creating scripts",i:0.000643336943934242,a:"In addition to chaining commands in an alias to create a light script,\n      you can combine the commands described in this manual in scripts.\n The     Helix Core Server\n      supports  Triggers, which are user-written scripts called by a\n      Helix Server whenever certain operations occur. ..."},"16":{y:0,u:"../Content/CmdRef/commands-and-metadata.html",l:-1,t:"Commands and metadata",i:0.000643336943934242,a:"Commands and metadata Some commands write metadata to the database. Other commands read metadata from the database. commands that write metadata can create things commands that read metadata can report about what has been created Examples:  "},"17":{y:0,u:"../Content/CmdRef/timestamp.html",l:-1,t:"Timestamp and Unix epoch time",i:0.00601939429323575,a:"The output of some commands might include a timestamp similar to 2022/06/02 23:59:29 where the format is yyyy-mm-dd hh:mi:ss and the timezone is that of the server.  Sometimes the timestamp might be in Unix epoch time. For example,  % p4 changes -t -m1 //depot/main/...\nChange 12345 on 2022/06/02 ..."},"18":{y:0,u:"../Content/CmdRef/Commands by Functional Area.html",l:-1,t:"Commands by functional area",i:0.000646355643514056,a:"Commands by functional area Functional areas If you are using Helix Core Cloud, some commands are blocked and restricted. To learn more, see  Helix Core Cloud blocked and restricted commands ."},"19":{y:0,u:"../Content/CmdRef/helix-core-cloud-commands.html",l:-1,t:"Helix Core Cloud blocked and restricted commands",i:0.000650799723762715,a:"If your team subscribes to Helix Core Cloud, Perforce manages your Helix Core Server. As a Helix Core Cloud user, your administrative permissions are limited, and some commands are blocked or restricted. To learn more about Helix Core Cloud, see the  Helix Core Cloud Guide . Blocked commands Helix ..."},"20":{y:0,u:"../Content/CmdRef/graphdepotcommands.html",l:-1,t:"Commands for Git repos",i:0.00108406337157242,a:"The   Git Connector  enables you work with Git repositories in one or more  graph depots . For details, see  Work with Git  in  Helix Core Server Administrator Guide . To learn about the commands, see: Commands that differ for graph depots Graph depot commands  that apply solely to graph depots ..."},"21":{y:0,u:"../Content/CmdRef/commands.html",l:-1,t:"Commands",i:0.00106656881386461,a:"Click a letter A  —  B  —  C  —  D  —  E  —  F  —  G  —  H  —  I  —  J  —  K  —  L  —  M  —  O  —  P  —  R  —  S  —  T  —  U  —  V  —  W  —  Z If you are using Helix Core Cloud, some commands are blocked and restricted. To learn more, see  Helix Core Cloud blocked and restricted commands . A p4 add ..."},"22":{y:0,u:"../Content/CmdRef/p4_add.html",l:-1,t:"p4 add",i:0.0132822249780395,a:"Open files in a client workspace for addition to the depot. Syntax p4 [g-opts] add [-c changelist] [-d -f -I -n] [-t filetype] file ... Syntax conventions Description p4 add opens files within the client workspace for\n      addition to the depot. The specified files are linked to a changelist.\n     ..."},"23":{y:0,u:"../Content/CmdRef/p4_add_graph.html",l:-1,t:"p4 add (graph)",i:0.000667303179575155,a:"Open a new file to add it to the repo. Syntax p4 [g-opts] add [-c changelist -n -t filetype] file ...       Syntax conventions Description Open a file for adding to the depot. To associate the open files with a specific pending changelist, use the -c flag. If you omit the -c flag, the open files are ..."},"24":{y:0,u:"../Content/CmdRef/p4_admin.html",l:-1,t:"p4 admin",i:0.00343578885377073,a:"Perform administrative operations on the server. Syntax p4 [g-opts] admin checkpoint [-z | -Z] [-p [-N threads] [-m]] [prefix]\np4 [g-opts] admin journal [-z] [prefix]\np4 [g-opts] admin stop\np4 [g-opts] admin restart\np4 [g-opts] admin updatespecdepot [-a | -s type]\np4 [g-opts] admin resetpassword -a ..."},"25":{y:0,u:"../Content/CmdRef/p4_aliases.html",l:-1,t:"p4 aliases",i:0.000684519281439337,a:"Display command aliases that are currently defined in a\n      .p4aliases file. For complete information, see\n       Command aliases . Syntax p4 [g-opts] aliases Syntax conventions Description The .p4alias file contains the definitions of the command\n      aliases you have created. The command output ..."},"26":{y:0,u:"../Content/CmdRef/p4_annotate.html",l:-1,t:"p4 annotate",i:0.00118649626984345,a:"Print file lines along with their revisions. By default, ignores changes to text files over 10 MB in length.\n      \n       Superusers of Helix Server can override this limit by setting the\n       dm.annotate.maxsize configurable. Syntax p4 [g-opts] annotate [-a -c -i -I -q -t -T -u] [-doptions]  ..."},"27":{y:0,u:"../Content/CmdRef/p4_archive.html",l:-1,t:"p4 archive",i:0.00328529840829715,a:"Archive obsolete revisions to an archive depot. Syntax p4 [g-opts] archive [-n -h -p -q -t -z] -D depot  FileSpec[ revSpec] Syntax conventions Description This command enables a Helix Core Server user with admin access to transfer the specified revisions of versioned files into an  archive depot . ..."},"28":{y:0,u:"../Content/CmdRef/p4_attribute.html",l:-1,t:"p4 attribute",i:0.00368506586775937,a:"Set per-revision attributes on revisions: name-value pairs that associate metadata with the file revision. Syntax p4 [g-opts] attribute [-e -f -p] -n name [-v value [-T0 | -T1]] files ... p4 [g-opts] attribute [-e -f -p [-T0 | -T1]] -i -n name file Syntax conventions Description  The  p4 attribute ..."},"29":{y:0,u:"../Content/CmdRef/p4_bgtask.html",l:-1,t:"p4 bgtask",i:0.00114288562304982,a:"Run background commands or triggers on the server. Syntax p4 bgtask [-b retries] [-d] [-i interval] [-m runCount] [-w seconds] {-e command | -t triggerName} Syntax conventions Description Enables a Helix Core superuser on the p4 command-line client to run commands or programs remotely on the server ..."},"30":{y:0,u:"../Content/CmdRef/p4_branch.html",l:-1,t:"p4 branch",i:0.00314381528380892,a:"Create or edit a branch mapping and its view. Syntax p4 [g-opts] branch [-f] branchspec\np4 [g-opts] branch -d [-f] branchspecp4 [g-opts] branch -i [-f]\np4 [g-opts] branch [-S stream] -o placeholderForStreamBranchSpecName\np4 [g-opts] branch [-S stream -P parent] -o placeholderForStreamBranchSpecName ..."},"31":{y:0,u:"../Content/CmdRef/p4_branches.html",l:-1,t:"p4 branches",i:0.00172648663742585,a:"List existing branch mappings. Syntax p4 [g-opts] branches [[-e | -E] filter] [-m max][-t] [-u user | --me] Syntax conventions Description Print the list of all branch mappings currently known to the system. Use the -m max option to limit the output to the\n      first  max branch mappings. Use the ..."},"32":{y:0,u:"../Content/CmdRef/p4_cachepurge.html",l:-1,t:"p4 cachepurge",i:0.000657158124179507,a:"Reclaim disk space on a replicated server. Syntax p4 [g-opts] cachepurge -a [-n -R -O] [-i n] [-S n] [-D file ...] p4 [g-opts] cachepurge -f n [-n -R -O] [-i n] [-S n] [-D file ...] p4 [g-opts] cachepurge -m n [-n -R -O] [-i n] [-S n] [-D file ...] p4 [g-opts] cachepurge -s n [-n -R -O] [-i n] [-S ..."},"33":{y:0,u:"../Content/CmdRef/p4_change.html",l:-1,t:"p4 change",i:0.00732285310481939,a:"Create or edit a changelist specification. Syntax p4 [g-opts] change [-s] [-f | -u] [[-O|I] changelist] p4 [g-opts] change -d [-f -s -O] changelist p4 [g-opts] change -o [-s] [-f] [[-O|I] changelist ] p4 [g-opts] change -i [-s] [-f | -u] p4 [g-opts] change -t restricted | public [-U user] ..."},"34":{y:0,u:"../Content/CmdRef/p4_changelist.html",l:-1,t:"p4 changelist",i:0.000964113165359595,a:"p4 changelist The command  p4 changelist is an alias for  p4 change."},"35":{y:0,u:"../Content/CmdRef/p4_changelists.html",l:-1,t:"p4 changelists",i:0.00147116048309263,a:"p4 changelists The command  p4 changelists is an alias for  p4 changes."},"36":{y:0,u:"../Content/CmdRef/p4_changes.html",l:-1,t:"p4 changes",i:0.00482557352060476,a:"List submitted and pending changelists. The command  p4\n\t    changelists is an alias for  p4\n\t  changes. Syntax p4 [g-opts] changes [-i -t -l -L -f] [-c client] [ -e changelist#] [-m max] \n                    [-r] [-s status] [-u user | --me] [[ FileSpec][ revSpec]]\n                     [--stream | ..."},"37":{y:0,u:"../Content/CmdRef/p4_check_permission.html",l:-1,t:"p4 check-permission (graph)",i:0.00156116334101606,a:"Check access permission granted to a user of a repo. For depots of type graph only. Syntax p4 check-permission -n //repo/name -u user [-r ref] -p permission \np4 check-permission -n //repo/name -u user [-r ref] -p all Syntax conventions Description Administrator or super user can use this command to ..."},"38":{y:0,u:"../Content/CmdRef/p4_clean.html",l:-1,t:"p4 clean",i:0.0013368983776849,a:"Restore client workspace files to match the state of corresponding depot\n      files. The  p4 clean command is equivalent to the\n       p4 reconcile  -w command. Syntax p4 [g-opts] clean [-e -a -d -I -l -K -m  -n] [file ...] Syntax conventions Description The  p4 clean command takes the following ..."},"39":{y:0,u:"../Content/CmdRef/p4_client.html",l:-1,t:"p4 client",i:0.0126978987180998,a:"Create or edit a client workspace specification and its view. Syntax p4 client [-f] [-t template] [-T type] [name]\np4 client -d [-f [-Fs|-Fd]] name\np4 client -o [-t template] [-T type] [name]\np4 client -S stream [[-c change] -o] [name]\np4 client -s [-f] -S stream [name]\np4 client -s [-f] -t template ..."},"40":{y:0,u:"../Content/CmdRef/p4_client_graph.html",l:-1,t:"p4 client (graph)",i:0.00129367209501075,a:"Create or edit a client workspace specification The command  p4\n\t    workspace is an alias for  p4\n\t  client. Syntax p4 [g-opts] client [-f] [-t template] -T graph [graphClientName]\np4 [g-opts] client -o [-f] [-t template] -T graph [graphClientName] Syntax conventions Description To modify Graph ..."},"41":{y:0,u:"../Content/CmdRef/p4_clients.html",l:-1,t:"p4 clients",i:0.00239676791465351,a:"List all client workspaces currently known to the system. Syntax p4 [g-opts] clients [-t] [-u user | --me] [[-e|-E] filter] [-m max]\n                    [-S stream] [-a | -s serverID]\np4 [g-opts] clients -U Syntax conventions Description p4 clients lists all the client workspaces known to\n      the ..."},"42":{y:0,u:"../Content/CmdRef/p4_clone.html",l:-1,t:"p4 clone",i:0.000967121880509372,a:"Clone a new local\n      Helix Server from a remote server. Syntax p4 [-u user] [-d dir] [-c client] clone [-m depth] [-v] -p port -r remote\np4 [-u user] [-d dir] [-c client] clone [-m depth] [-v] -p port -f filespec Syntax conventions Description When you clone from a remote server, you copy the ..."},"43":{y:0,u:"../Content/CmdRef/p4_configure.html",l:-1,t:"p4 configure",i:0.011111519936327,a:"Set, view, and manage server configuration variables, including comments. Syntax p4 [g-opts] configure set [--comment=comment] [serverid#]variable=value\np4 [g-opts] configure unset [--comment=comment] [serverid#]variable\np4 [g-opts] configure show [allservers | serverid | variable]\np4 [g-opts] ..."},"44":{y:0,u:"../Content/CmdRef/p4_copy.html",l:-1,t:"p4 copy",i:0.00186804483329863,a:"Copy files and/or the stream spec from one location in the depot to another. Syntax p4 [g-opts] copy [-c change] [-n -f -K -v -q] [-m max] fromFile[rev] toFile\np4 [g-opts] copy [-c change] [-n -f -K -v -q] [-m max] -b branch [-r] [toFile[rev] ...]\np4 [g-opts] copy [-c change] [-n -f -K -v -q] [-m ..."},"45":{y:0,u:"../Content/CmdRef/p4_counter.html",l:-1,t:"p4 counter",i:0.00428827603774615,a:"Access, set, increment, or delete a persistent variable. Syntax p4 [g-opts] counter countername\np4 [g-opts] counter [-f -v] countername value\np4 [g-opts] counter [-f] -d countername\np4 [g-opts] counter [-f -v] -i countername\np4 [g-opts] counter [-f] -m [pair list]\np4 [g-opts] counter --from oldvalue ..."},"46":{y:0,u:"../Content/CmdRef/p4_counters.html",l:-1,t:"p4 counters",i:0.00245798852501642,a:"Display the list of long-term variables used by\n      Helix Server\n      and associated scripts. Syntax p4 [g-opts] counters [-e nameFilter] [-m max] Syntax conventions Description Helix Server\n      uses counters as variables to store the number of the last submitted\n      changelist and the number ..."},"47":{y:0,u:"../Content/CmdRef/p4_cstat.html",l:-1,t:"p4 cstat",i:0.000942695862074228,a:"Dump change or sync status for the current client workspace. Syntax p4 [g-opts] cstat [files ...] Syntax conventions Description The  p4 cstat command lists changes that are\n      required, already synced, or partially synced to the current client\n      workspace. The output is returned in the ..."},"48":{y:0,u:"../Content/CmdRef/p4_dbschema.html",l:-1,t:"p4 dbschema",i:0.00158585364075356,a:"Report information about metadata in the\n      \n      database on the Helix Server. Syntax p4 [g-opts] dbschema [tablename[:tableversion]]...\np4 [g-opts] dbschema [-A] [tablename]... Syntax conventions Description The  p4 dbschema command is intended for systems integrators. This command provides ..."},"49":{y:0,u:"../Content/CmdRef/p4_dbstat.html",l:-1,t:"p4 dbstat",i:0.00197065727321715,a:"Display size or simple statistics for one or more database tables. Syntax p4 [g-opts] dbstat [-h][-f] | [-p [-w worklevel] [-n numberOfFiles]] {-a | dbtable ...} p4 [g-opts] dbstat -s Syntax conventions Description The  p4 dbstat command displays statistics on the\n      internal state of the\n      \n ..."},"50":{y:0,u:"../Content/CmdRef/p4_dbverify.html",l:-1,t:"p4 dbverify",i:0.00162908126805728,a:"Perform low-level verification of the database tables. Syntax p4 [g-opts] dbverify [-t db.tablename] [-U][-v] Syntax conventions Description The  p4 dbverify command performs a series of\n      low-level structural integrity checks on the\n      \n      database tables. Run this command periodically to ..."},"51":{y:0,u:"../Content/CmdRef/p4_delete.html",l:-1,t:"p4 delete",i:0.00651815472485234,a:"Open file(s) in a client workspace for deletion from the depot. Syntax p4 [g-opts] delete [-c changelist] [-n -k -v] [--remote=remote] file ... Syntax conventions Description The  p4 delete command opens file(s) in a client\n      workspace for deletion from the depot. The files are immediately ..."},"52":{y:0,u:"../Content/CmdRef/p4_delete_graph.html",l:-1,t:"p4 delete (graph)",i:0.000667303179575155,a:"p4 delete (graph) Delete an existing file from the repo. Syntax p4 delete [-c changelistNumber] file ... Syntax conventions Description Opens a repo file for deletion. If the file is synced in the client workspace, it is removed. Options Usage Notes"},"53":{y:0,u:"../Content/CmdRef/p4_depot.html",l:-1,t:"p4 depot",i:0.00422583793491794,a:"Create, edit, or delete a depot specification. A branch, depot, label, and workspace may not share the same name. Syntax p4 [g-opts] depot [-t type] depotname p4 [g-opts] depot -d [-f] depotname p4 [g-opts] depot -o [-t type] depotname p4 [g-opts] depot -i Syntax conventions This command behaves ..."},"54":{y:0,u:"../Content/CmdRef/p4_depots.html",l:-1,t:"p4 depots",i:0.00171606577384784,a:"Display a list of depots known to the\n      Helix Server. Syntax p4 [g-opts] depots [[-e | -E] nameFilter] -t type] [-a] Syntax conventions Description Display a list of depots. The list excludes  the default  graph depot  named repo unless you use the p4 depots -t graph command the extension depot ..."},"55":{y:0,u:"../Content/CmdRef/p4_describe.html",l:-1,t:"p4 describe",i:0.00630060694082294,a:"Provides information about changelists, as well as files in the changelists, and the path of the open stream, if a stream is open. Syntax p4 [g-opts] describe [-doptions] [-a -f -I -m -O -s -S] changelist ... Syntax conventions Description p4 describe displays the details of one or more\n      ..."},"56":{y:0,u:"../Content/CmdRef/p4_describe_graph.html",l:-1,t:"p4 describe (graph)",i:0.004448339157701,a:"Display a commit description. Syntax p4 describe -n //repo/name [-a -doptions -s] sha Syntax conventions Description Display information about the specified commit.  Specify the repo name after -n sha is the corresponding sha1 of the commit For commits that include a submodule version change, see  ..."},"57":{y:0,u:"../Content/CmdRef/p4_diff.html",l:-1,t:"p4 diff",i:0.00572506476515824,a:"Diff utility for comparing workspace content to depot content. (For comparing two depot paths, see  p4 diff2 .) Also for stream spec comparison. Syntax p4 [g-opts] diff [-doptions] [-f -t -Od] [-m max] [-soptions] [file[rev] ...]\np4 [g-opts] diff [-doptions] -As [streamname[@change]] Syntax ..."},"58":{y:0,u:"../Content/CmdRef/p4_diff_graph.html",l:-1,t:"p4 diff (graph)",i:0.004448339157701,a:"Diff utility for comparing workspace content to repo content. (For comparing two repo paths, see  p4 diff2 (graph) .) Syntax p4 diff [-doptions -soptions file ...] Syntax conventions Description On the client machine, diff a client file against the corresponding revision in the repo. The file is ..."},"59":{y:0,u:"../Content/CmdRef/p4_diff2.html",l:-1,t:"p4 diff2",i:0.0057357315075155,a:"Diff utility for comparing the content at two depot paths. (For comparing workspace content to depot content, see  p4 diff .) You can specify the source and the target files  on the command line or through a branch view. Also compares two arbitrary stream specs with the -As option. Syntax p4 ..."},"60":{y:0,u:"../Content/CmdRef/p4_diff2_graph.html",l:-1,t:"p4 diff2 (graph)",i:0.004448339157701,a:"Diff utility for comparing the content at two repo paths. (For comparing workspace content to repo content, see  p4 diff (graph) .) Syntax p4 diff2 [options] fromFile[@sha1|@reference] tofile[@sha1|@reference] Syntax conventions Description p4 diff2 runs on the server to compare one set of graph ..."},"61":{y:0,u:"../Content/CmdRef/p4_dirs.html",l:-1,t:"p4 dirs",i:0.000669719662139373,a:"List the immediate subdirectories of the specified depot directories. Syntax p4 [g-opts] dirs [-C -D -H] [-S stream] [-i] depot_directories*[ revSpec]\np4 [g-opts] dirs [-D] [--streamviews]  depot_directories*[ revSpec] Syntax conventions Description Use  p4 dirs to find the immediate subdirectories ..."},"62":{y:0,u:"../Content/CmdRef/p4_dirs_graph.html",l:-1,t:"p4 dirs (graph)",i:0.000667303179575155,a:"List repo subdirectories. Syntax p4 dirs [-i] dir[@reference] ... Syntax conventions Description List directories that match the specified file pattern (dir). This command supports wildcards (\u0027...\u0027, \u0027*\u0027). By default, all directories containing files are listed. If the dir argument includes a ..."},"63":{y:0,u:"../Content/CmdRef/p4_diskspace.html",l:-1,t:"p4 diskspace",i:0.00112440864984461,a:"Display disk space information on the server. p4 df is an alias for  p4\n\t  diskspace. Syntax p4 [g-opts] diskspace [P4ROOT | P4JOURNAL | P4LOG | TEMP | journalPrefix | depot] Syntax conventions Description Shows summary information about the current availability of disk space\n      on the server. ..."},"64":{y:0,u:"../Content/CmdRef/p4_edit.html",l:-1,t:"p4 edit",i:0.0125733905547558,a:"Opens files in a client workspace for edit, or open the current stream spec. Syntax p4 [g-opts] edit [-c changelist] [-k -n] [-t type] [--remote=remote] file...\np4 [g-opts] edit -So [-c changelist] Syntax conventions Description files p4 edit opens files for editing within the client\n      ..."},"65":{y:0,u:"../Content/CmdRef/p4_edit_graph.html",l:-1,t:"p4 edit (graph)",i:0.000667303179575155,a:"Open an existing file for edit. Syntax p4 edit [-c changelist# -n] file ... Syntax conventions Description Open an existing file for edit.  The server records that the current user has opened the file in the current workspace, and changes the file permission from read-only to read/write. Options ..."},"66":{y:0,u:"../Content/CmdRef/p4_export.html",l:-1,t:"p4 export",i:0.00184372061892373,a:"Extract journal or checkpoint records. Syntax p4 export -c token [-J prefix] [-f] [-l lines] [-F filter] \n          [-T tableexcludelist] [-P filterpattern]\np4 export -j token [-J prefix] [-f] [-l lines] [-F filter] \n          [-T tableexcludelist] [-P filterpattern]\np4 export -j token [-J prefix] ..."},"67":{y:0,u:"../Content/CmdRef/p4_extension.html",l:-1,t:"p4 extension",i:0.00137359376455189,a:"Manage the Helix Core Server extensibility mechanism. Syntax p4 extension --sample extName\np4 extension --package dir [--sign keyDir]\np4 extension --install extName.p4-extension [--yes]\np4 extension --install certificateFile --cert [ --comment ]\np4 extension --delete extFQN [ --name instName ] [ ..."},"68":{y:0,u:"../Content/CmdRef/p4_failback.html",l:-1,t:"p4 failback",i:0.000916350397323913,a:"After a failover with master server participation, fail back to restore the previous role of that master server. Syntax p4 failback [-y] [ -w quiesce_wait ] [ -v verification_time ] [ failback_message ] Syntax conventions Description After a failover (see  Failover  in  Helix Core Server ..."},"69":{y:0,u:"../Content/CmdRef/p4_failover.html",l:-1,t:"p4 failover",i:0.0017889460500788,a:"Fail over to a standby server. Syntax p4 failover [-y] [ -m | [-i] -s serverID ] [-w waitForQuiesce] [-v verificationTime] [failoverMessage]\n Syntax conventions Description Allows the administrator of a standby server to initiate the process of failing over from the current master server to that ..."},"70":{y:0,u:"../Content/CmdRef/p4_fetch.html",l:-1,t:"p4 fetch",i:0.00196436975695287,a:"Copy files from a remote server into your local server. For distributed version control. See\n\t Using Helix Core Server for Distributed Versioning  (DVCS). Syntax p4 [g-opts] fetch [-r remotespec] [-m depth] [-v -k] [-n | -t] [-Ox] \n                  [-S stream |  FileSpec [ revSpec ] p4 [g-opts] ..."},"71":{y:0,u:"../Content/CmdRef/p4_filelog.html",l:-1,t:"p4 filelog",i:0.00466445884401599,a:"Print detailed information about files\u0027 revisions. Syntax p4 [g-opts] filelog [-c change] [-h -i -l -L -t -p -s] [-m max]  FileSpec[ revSpec ] Syntax conventions Description p4 filelog describes each revision of the files\n      provided as arguments. At least one file or file pattern must be ..."},"72":{y:0,u:"../Content/CmdRef/p4_filelog_graph.html",l:-1,t:"p4 filelog (graph)",i:0.000667303179575155,a:"List the commit history of the specified file. Syntax p4 filelog [-d -m max --first-parent] file Syntax conventions Description List the commit history of the specified file, from the most recent commit to the initial commit. By default, this command is optimized to NOT display history of a file ..."},"73":{y:0,u:"../Content/CmdRef/p4_files.html",l:-1,t:"p4 files",i:0.00338805575004924,a:"Provide information about files in the depot without accessing their\n      contents. Syntax p4 [g-opts] files [-a -A -e] [-i][-m max]  FileSpec [ revSpec ]\np4 [g-opts] files [-a] [-e] [-m max] [--streamviews]  FileSpec [ revSpec ] p4 [g-opts] files -U unload FileSpec Syntax conventions Description ..."},"74":{y:0,u:"../Content/CmdRef/p4_files_graph.html",l:-1,t:"p4 files (graph)",i:0.000667303179575155,a:"List the files in the repo. Syntax p4 files [-m max] file ... Syntax conventions Description List the files in the repo. If client syntax is used to specify the file argument, the client view mapping is used to determine the corresponding repo files. Options Usage Notes Examples p4 files ..."},"75":{y:0,u:"../Content/CmdRef/p4_fix.html",l:-1,t:"p4 fix",i:0.00286659946935728,a:"Link jobs to the changelists that fix them. Syntax p4 [g-opts] fix [-d] [-s status] -c changelist jobName ... Syntax conventions Description The  p4 fix command links jobs (descriptions of work\n      to be done) to a changelist (a set of changes to files that does the work\n      described by a job). ..."},});